﻿using System;
using Quik;
using Quik.CommandMachine;
using Quik.Controls;
using Quik.OpenTK;
using Quik.Media.Defaults;
using Quik.Media;
using Quik.Typography;
using Quik.PAL;

namespace QuikDemo
{
    public static class Program
    {
        public static readonly QuikApplication Application = new QuikApplication(new OpenTKPlatform());

        public static void Main(string[] args)
        {
            Application.Run(new EmptyView());
        }
    }

    public class EmptyView : View
    {
        private QFont font;

        protected override void PaintBegin(CommandList cmd)
        {
            base.PaintBegin(cmd);

            if (font == null)
            {
                IFontDataBase db = FontDataBaseProvider.Instance;
                font = new QFontFreeType(db.FontFileInfo(db.Sans).OpenRead());
            }

            cmd.Rectangle(new QRectangle(16, 16, 0, 0));
            cmd.TypesetHorizontalDirect(
                "The quick brown fox jumps over the lazy dog.\n" +
                "hi?",
            new QVec2(64.33f, 0.77f), 9, font);
        }
    }
}